Bug 86293 - lang/gauche includes gdbm by default
Summary: lang/gauche includes gdbm by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-18 14:50 UTC by Takehito Sasaki
Modified: 2005-10-05 15:57 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Takehito Sasaki 2005-09-18 14:50:01 UTC
databases/gauche-gdbm is broken with lang/gauche-0.8.5_1.  However, test (make
check under ext/dbm) passes if only building lang/gauche.  So that,
database/gauche-gdbm seems no longer necessary.

Fix: 

remove databases/gauche-gdbm, activate ext/dbm in lang/gauche.
How-To-Repeat:       build databases/gauche-gdbm-0.8.5.  run "make check".  test will fail.
Comment 1 Pav Lucistnik freebsd_committer 2005-09-18 14:56:37 UTC
Hi Eric,

http://www.freebsd.org/cgi/query-pr.cgi?q=86293

What do you think about that?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>
Comment 2 Pav Lucistnik freebsd_committer 2005-09-18 14:56:41 UTC
State Changed
From-To: open->feedback

Asked maintainer 


Comment 3 Pav Lucistnik freebsd_committer 2005-09-18 14:56:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 4 Pav Lucistnik freebsd_committer 2005-09-21 09:49:08 UTC
Od: Takehito Sasaki <my-bsd@achikochi.net>
Komu: Pav Lucistnik <pav@FreeBSD.org>
Kopie: my-bsd@achikochi.net, pav@FreeBSD.org,
freebsd-ports-bugs@FreeBSD.org
Subject: Re: ports/86293: lang/gauche includes gdbm by default
Datum: Tue, 20 Sep 2005 23:57:37 -0500 (CDT)

According to the gauche author, there might be license concern regarding
binary distribution of gdbm.  So that, he mention it may be safer to
distribute gauche-gdbm separately.

If that's the case, this problem report becomes fix request of
gauche-gdbm-0.8.5 which is broken if lang/gauche is upgreaded to 0.8.5_1.

best regards,
-- Takehito Sasaki
Comment 5 Pav Lucistnik freebsd_committer 2005-10-02 21:15:02 UTC
http://www.freebsd.org/cgi/query-pr.cgi?q=86293

Folks, what is the current status of this problem?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

And now something completely different.
Comment 6 Erik Greenwald 2005-10-03 00:29:01 UTC
On Sun, Oct 02, 2005 at 10:15:02PM +0200, Pav Lucistnik wrote:
> http://www.freebsd.org/cgi/query-pr.cgi?q=86293
> 
> Folks, what is the current status of this problem?

<snip>

Just getting around to looking at it... trying to decide whether the
installed software is damaged, or if it's just a path issue during the
build (need to write some gdbm targetted test software to do this
correctly, unless someone has some already).

Also considering a way to re-do the build system so a "live" build of
gauche is no longer necessary, but it would completely remove the
"check" target.

> And now something completely different.                                                                                
(so says the almighty Cleese... naughty bits)

-- 
        -Erik <erik@smluc.org> [http://math.smsu.edu/~erik]

The opinions expressed by me are not necessarily opinions. In all probability,
they are random rambling, and to be ignored. Failure to ignore may result in
severe boredom or confusion. Shake well before opening. Keep Refrigerated.
Comment 7 Marcus Alves Grando freebsd_committer 2005-10-05 15:57:40 UTC
State Changed
From-To: feedback->closed

Fixed in 86921.